Upgrade from Zabbix 1.8 in Ubuntu 12.04 to 2.2.2 in 14.04 is painful

Bug #1367861 reported by Mark Thornton on 2014-09-10
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
zabbix (Ubuntu)
Undecided
Unassigned

Bug Description

To complete the upgrade it is necessary to checkout the zabbix source to obtain the 105 sql patch scripts and apply these using psql.

Then the zabbix-server can be set to start and it does the remainder of the upgrade (from 2.0 to 2.2.2).

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: zabbix-server-pgsql 1:2.2.2+dfsg-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-35.62-generic 3.13.11.6
Uname: Linux 3.13.0-35-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
Date: Wed Sep 10 19:13:21 2014
InstallationDate: Installed on 2012-04-27 (866 days ago)
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1)
SourcePackage: zabbix
UpgradeStatus: Upgraded to trusty on 2014-09-10 (0 days ago)
modified.conffile..etc.default.zabbix.server: [modified]
mtime.conffile..etc.default.zabbix.server: 2014-09-10T10:15:56.215053

Mark Thornton (mthornton-2) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in zabbix (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers